﻿Public Class Form1

#Region "設定　変数"

    'ペンの太さ
    Friend PenWidth As Integer = 1
    'ペンの色
    Friend PenColor As Color = Color.Black
    '印刷するページ数
    Friend PrintPages As Integer = 1
    '印刷する用紙サイズ
    Friend PrintSize As Drawing.Printing.PaperSize
    '印刷する種類
    Friend PrintType As PrintTypeENum = PrintTypeENum.方眼紙5mm
    '印刷する方向
    Friend PrintVectol As PrintVectolENum = PrintVectolENum.縦
    '方眼・レポート用紙ミリ数
    Friend PrintScale As Integer = 5
    'タイトルを付けるか
    Friend TitleBool As Boolean = False
    'タイトルテキスト
    Friend Title As String = ""
    'タイトルテキストのフォントサイズ
    Friend TitleSize As Integer = 20
    'タイトルテキストのフォント
    Friend TitleFontName As String = "ＭＳ ゴシック"
    'タイトルテキストのフォントカラー
    Friend TitleColor As Drawing.Color = Color.Black
    '罫線の線種
    Friend PenDashStyle As Drawing2D.DashStyle = Drawing2D.DashStyle.Solid
    '原稿用紙フリガナの幅
    Friend KanaHaba As Integer = 10
    '原稿用紙行の数
    Friend GenkoGyo As Integer = 20
    '原稿用紙列の数
    Friend GenkoRetsu As Integer = 20

#End Region

    '種類
    Enum PrintTypeENum
        方眼紙3mm = 11
        方眼紙5mm = 12
        方眼紙10mm = 13
        方眼紙15mm = 14
        レポート用紙3mm = 21
        レポート用紙5mm = 22
        レポート用紙6mm = 23
        レポート用紙7mm = 24
        レポート用紙10mm = 25
        レポート用紙15mm = 26
        五線譜 = 30
        原稿用紙200字 = 41
        原稿用紙400字 = 42
        カスタム用紙 = 0
    End Enum

    '印刷用紙の向き
    Enum PrintVectolENum
        縦
        横
    End Enum

    ''' <summary>
    ''' エラーをLog.txtに書き込みます。
    ''' </summary>
    ''' <param name="ErText">エラーメッセージ</param>
    ''' <remarks></remarks>
    Public Sub WriteLog(ByVal ErText As String)
        Dim Writer As New IO.StreamWriter(Application.StartupPath & "\" & "Log.txt", True)
        Writer.WriteLine(Now.ToString & "  Ver " & Application.ProductVersion & "  " & ErText)
        Writer.Close()
    End Sub

    '縮小ボタン
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        'プレビューを縮小します。
        If PrintPreviewControl1.Zoom > 0.2 Then
            PrintPreviewControl1.Zoom -= 0.1
        End If
    End Sub
    '拡大ボタン
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'プレビューを拡大します。
        PrintPreviewControl1.Zoom += 0.1
    End Sub

#Region "プリンター・更新の画像のボタン化偽装"

    Private Sub Pic_PrintOut_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic_PrintOut.MouseDown
        Pic_PrintOut.Location += New Point(2, 2)
        Pic_PrintOut.BackColor = Color.Violet
    End Sub

    Private Sub Pic_PrintOut_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pic_PrintOut.MouseEnter
        Pic_PrintOut.Location -= New Point(2, 2)
        Pic_PrintOut.BackColor = Color.Aquamarine
    End Sub

    Private Sub Pic_PrintOut_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pic_PrintOut.MouseLeave
        Pic_PrintOut.Location += New Point(2, 2)
        Pic_PrintOut.BackColor = Color.Transparent
    End Sub

    Private Sub Pic_PrintOut_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic_PrintOut.MouseUp
        Pic_PrintOut.Location -= New Point(2, 2)
        Pic_PrintOut.BackColor = Color.Aquamarine
    End Sub

    Private Sub Pic_Refresh_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic_Refresh.MouseDown
        Pic_Refresh.Location += New Point(2, 2)
        Pic_Refresh.BackColor = Color.Violet
    End Sub

    Private Sub PicRefresh_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pic_Refresh.MouseEnter
        Pic_Refresh.Location -= New Point(2, 2)
        Pic_Refresh.BackColor = Color.Aquamarine
    End Sub

    Private Sub PicRefresh_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pic_Refresh.MouseLeave
        Pic_Refresh.Location += New Point(2, 2)
        Pic_Refresh.BackColor = Color.Transparent
    End Sub

    Private Sub Pic_Refresh_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic_Refresh.MouseUp
        Pic_Refresh.Location -= New Point(2, 2)
        Pic_Refresh.BackColor = Color.Aquamarine
    End Sub

#End Region

    '起動時の挙動
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            'ツールウィンドウの表示
            Dim ToolsWindow As New UserControl1
            ToolsWindow.TopLevel = False
            Me.SplitContainer1.Panel2.Controls.Add(ToolsWindow)
            ToolsWindow.Size = New Size(173, 381)
            ToolsWindow.Location = New Point(Me.SplitContainer1.Panel2.Width - ToolsWindow.Width, 10)
            ToolsWindow.Show()
            ToolsWindow.BringToFront()
            'ツールウィンドウの表示ここまで

            '線設定ウィンドウの表示
            Dim LinesWindow As New UserControl2
            LinesWindow.TopLevel = False
            Me.SplitContainer1.Panel2.Controls.Add(LinesWindow)
            LinesWindow.Size = New Size(173, 141)
            LinesWindow.Location = New Point(10, 10)
            LinesWindow.Show()
            LinesWindow.BringToFront()
            LinesWindow.Visible = False
            '線設定ウィンドウの表示ここまで

            '原稿用紙設定ウィンドウの表示
            Dim GenkoWindow As New UserControl3
            GenkoWindow.TopLevel = False
            Me.SplitContainer1.Panel2.Controls.Add(GenkoWindow)
            GenkoWindow.Size = New Size(173, 125)
            GenkoWindow.Location = New Point(10, 150)
            GenkoWindow.Show()
            GenkoWindow.BringToFront()
            GenkoWindow.Visible = False
            '原稿用紙設定ウィンドウの表示ここまで

            'アプリケーション情報の反映
            Me.Text = Application.ProductName & "   Ver " & Application.ProductVersion
            AppTitleLabel.Text = Application.ProductName & "  " & Application.ProductVersion & "  "
            CreatorLabel.Text = Application.CompanyName & "  2011"
            'アプリケーション情報の反映ここまで

            'Form1のサイズ変更時のイベントをハンドル
            AddHandler Me.SizeChanged, AddressOf Me.Form1_SizeChanged
            AddHandler ToolsWindow.NumUpDown_PenWid.ValueChanged, AddressOf ToolsWindow.NumericUpDown1_ValueChanged
            AddHandler LinesWindow.NumUpDown_PenWid.ValueChanged, AddressOf LinesWindow.NumUpDown_PenWid_ValueChanged
            '※最初からハンドルされているとエラーになる。

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("Load:" & ex.Message)
        End Try
    End Sub

    '更新ボタンのクリック
    Private Sub Pic_Refresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Pic_Refresh.Click
        Try
            'プレビューの更新
            PrintPreviewControl1.InvalidatePreview()
            PrintPreviewControl1.Rows = PrintPages

            'ツールウィンドウにペンの色を反映
            Me.SplitContainer1.Panel2.Controls("UserControl1").Controls("Panel_PenColor").BackColor = PenColor
            '線変更ウィンドウにペンの色を反映
            Me.SplitContainer1.Panel2.Controls("UserControl2").Controls("Panel_PenColor").BackColor = PenColor
            '現在の色パネルにペンの色を反映
            Panel1.BackColor = PenColor

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("Refresh:" & ex.Message)
        End Try
    End Sub

    '印刷データページ数
    Dim CurrentPage As Integer = 0
    '印刷処理
    Private Sub PrintDocument1_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles PrintDocument1.PrintPage
        Try
            '現在のページ数
            CurrentPage += 1
            'ペンの設定
            Dim P1 As New Pen(PenColor, PenWidth)
            P1.DashStyle = PenDashStyle
            '外枠を指定するポイントの配列
            Dim LinePoints() As System.Drawing.PointF
            '上端から線を描画する位置までの高さ
            Dim TopHeight As Single
            '上端の線を描画する位置までの高さ
            '（タイトルが入ると狭くなる。）
            Dim MarginHeight As Single

            '種類が原稿用紙なら。
            If PrintType >= 40 And PrintType <= 49 Then
                '原稿用紙印刷
                Dim P2 As New Pen(PenColor, PenWidth + 2)

                If TitleBool = False Then
                    'タイトルを表示しない場合
                    TopHeight = e.MarginBounds.Top
                    MarginHeight = e.MarginBounds.Height
                Else
                    'タイトルを表示する場合
                    Dim Font1 As New Font(TitleFontName, TitleSize)
                    TopHeight = e.MarginBounds.Top + Font1.GetHeight + 5
                    MarginHeight = e.MarginBounds.Height - (Font1.GetHeight + 5)
                    'タイトルの描画
                    e.Graphics.DrawString(Title, Font1, New SolidBrush(TitleColor), _
                                          e.MarginBounds.Left + (e.MarginBounds.Width / 2) - (Label_TitlePreview.Size.Width / 2), _
                                          e.MarginBounds.Top)
                End If

                If 外枠の線を消すToolStripMenuItem.Checked = False Then
                    '外枠の描画
                    LinePoints = {New Point(e.MarginBounds.Left, TopHeight), _
                                             New Point(e.MarginBounds.Right, TopHeight), _
                                             New Point(e.MarginBounds.Right, e.MarginBounds.Bottom), _
                                             New Point(e.MarginBounds.Left, e.MarginBounds.Bottom), _
                                             New Point(e.MarginBounds.Left, TopHeight - (PenWidth / 2))}
                    e.Graphics.DrawLines(P2, LinePoints)
                End If

                '1マスあたりのマスサイズ計算
                Dim MassSize_X As Single
                Dim MassSize_Y As Single

                If PrintDocument1.DefaultPageSettings.Landscape = False Then
                    '用紙が縦の場合のマスサイズ
                    '1マスあたりの横幅（全体の横幅の1/20）
                    MassSize_X = e.MarginBounds.Width / GenkoRetsu
                    '1マスあたりの縦幅（全体の縦幅の1/20）
                    MassSize_Y = MarginHeight / GenkoGyo
                Else
                    '用紙が横の場合のマスサイズ
                    '1マスあたりの横幅（全体の横幅の1/20）+真ん中の空きスペースを1マス分
                    MassSize_X = (e.MarginBounds.Width) / (GenkoRetsu + 1)
                    '1マスあたりの縦幅（全体の縦幅の1/20）
                    MassSize_Y = MarginHeight / GenkoGyo
                End If

                If PrintDocument1.DefaultPageSettings.Landscape = False Then
                    '印刷の向きが縦の場合の描画処理

                    '縦線を列数-1つ分描画
                    For GenkoYoshi As Integer = 1 To GenkoRetsu - 1
                        'フリガナの枠をつけるため縦線を2本描画
                        e.Graphics.DrawLine(P1, e.MarginBounds.Left + (-KanaHaba) + (MassSize_X * GenkoYoshi), TopHeight, _
                                            e.MarginBounds.Left + (-KanaHaba) + (MassSize_X * GenkoYoshi), e.MarginBounds.Bottom)
                        e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * GenkoYoshi), TopHeight, _
                                            e.MarginBounds.Left + (MassSize_X * GenkoYoshi), e.MarginBounds.Bottom)
                    Next GenkoYoshi
                    'ラストのフリガナ用縦線1本描画
                    e.Graphics.DrawLine(P1, e.MarginBounds.Left + (-KanaHaba) + (MassSize_X * GenkoRetsu), TopHeight, _
                                        e.MarginBounds.Left + (-KanaHaba) + (MassSize_X * GenkoRetsu), e.MarginBounds.Bottom)

                    '横線の描画
                    For GenkoGyoLine As Integer = 1 To GenkoGyo - 1
                        '切れ切れに横線を入れてみる
                        For Kire As Integer = 0 To GenkoRetsu - 1
                            e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * Kire), TopHeight + MassSize_Y * GenkoGyoLine, _
                                               e.MarginBounds.Left + (MassSize_X * (Kire + 1)) - KanaHaba, TopHeight + MassSize_Y * GenkoGyoLine)
                        Next
                        'フリガナの部分も突っ切っちゃってよければこっちのコードにする。
                        'e.Graphics.DrawLine(P1, e.MarginBounds.Left, TopHeight + MassSize_Y * GenkoGyoLine, _
                        '                    e.MarginBounds.Right, TopHeight + MassSize_Y * GenkoGyoLine)
                    Next GenkoGyoLine

                Else
                    '印刷の向きが横の場合の描画処理

                    '縦線を列数分描画
                    For GenkoYoshi As Integer = 1 To GenkoRetsu
                        If GenkoYoshi <> ((GenkoRetsu / 2) + 1) Then
                            '真ん中の部分はフリガナ用の線を描画しない
                            'フリガナ用の線の描画
                            e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * GenkoYoshi) + (-KanaHaba), TopHeight, _
                                               e.MarginBounds.Left + (MassSize_X * GenkoYoshi) + (-KanaHaba), e.MarginBounds.Bottom)
                        End If
                        '普通の縦線の描画
                        e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * GenkoYoshi), TopHeight, _
                                                e.MarginBounds.Left + (MassSize_X * GenkoYoshi), e.MarginBounds.Bottom)
                    Next GenkoYoshi
                    'ラストのフリガナ用縦線1本描画
                    e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * (GenkoRetsu + 1)) - KanaHaba, TopHeight, _
                                         e.MarginBounds.Left + (MassSize_X * (GenkoRetsu + 1)) - KanaHaba, e.MarginBounds.Bottom)
                    '横線の描画
                    For GenkoGyoLine As Integer = 1 To GenkoGyo - 1
                        '切れ切れに横線を入れてみる
                        For Kire As Integer = 0 To GenkoRetsu
                            'こちらも真ん中の部分は線を入れない
                            If Kire <> (GenkoRetsu / 2) Then
                                e.Graphics.DrawLine(P1, e.MarginBounds.Left + (MassSize_X * Kire), TopHeight + MassSize_Y * GenkoGyoLine, _
                                                   e.MarginBounds.Left + (MassSize_X * (Kire + 1)) - KanaHaba, TopHeight + MassSize_Y * GenkoGyoLine)
                            End If
                        Next Kire
                    Next GenkoGyoLine
                End If

            ElseIf PrintType = PrintTypeENum.五線譜 Then
                '五線譜の描画

                If TitleBool = False Then
                    'タイトルがなければ上端余白をそのまま代入
                    TopHeight = e.MarginBounds.Top
                Else
                    Dim Font1 As New Font(TitleFontName, TitleSize)
                    'タイトルがあるならちょっと下げる
                    TopHeight = e.MarginBounds.Top + Font1.GetHeight + 5
                    'タイトルを描画
                    e.Graphics.DrawString(Title, Font1, New SolidBrush(TitleColor), _
                                          e.MarginBounds.Left + (e.MarginBounds.Width / 2) - (Label_TitlePreview.Size.Width / 2), _
                                          e.MarginBounds.Top)
                End If

                'ループ用変数
                Dim M As Integer = 1
                Do While (TopHeight + ((M + 2) * 50)) < e.MarginBounds.Bottom
                    '用紙下端部ちょい手前にいく位までループ
                    For i As Integer = 1 To 5
                        '五線の描画
                        e.Graphics.DrawLine(P1, e.MarginBounds.Left + 20, TopHeight + (M * 50) + (i * 5), _
                                            e.MarginBounds.Right - 20, TopHeight + (M * 50) + (i * 5))
                    Next
                    '音符の描画（画像）
                    e.Graphics.DrawImage(My.Resources.tomo_pr_242, New Rectangle( _
                                        New Point(e.MarginBounds.Left + 25, TopHeight + 5 + (M * 50)), _
                                              New Size(10, 27)))
                    M += 1
                Loop

            Else
                '方眼紙・レポート用紙の描画

                '以下変数はマスをキリの良いところまでで綺麗に描画するために必要
                '中途半端なマスが出来ても良い場合は要らない物です。
                '下端部
                Dim BottomLine As Single = e.MarginBounds.Bottom
                '右端部
                Dim RightLine As Single = e.MarginBounds.Right

                If TitleBool = False Then
                    'タイトルがなければ上端余白をそのまま代入
                    TopHeight = e.MarginBounds.Top
                Else
                    Dim Font1 As New Font(TitleFontName, TitleSize)
                    'タイトルがあるならちょっと下げる
                    TopHeight = e.MarginBounds.Top + Font1.GetHeight + 5
                    'タイトルの描画
                    e.Graphics.DrawString(Title, Font1, New SolidBrush(TitleColor), _
                                          e.MarginBounds.Left + (e.MarginBounds.Width / 2) - (Label_TitlePreview.Size.Width / 2), _
                                          e.MarginBounds.Top)
                End If

                'マスのポイント数
                Dim MinusSing As Single = 0
                If 割り切れないマスはカットToolStripMenuItem.Checked = True Then
                    'キリ良く描画する場合

                    'mmからポイントへ変換
                    MinusSing = (PrintScale / 0.35)

                    'マスを描画する右端の位置の判定
                    Dim Rig As Single
                    Rig = e.MarginBounds.Left + (PrintScale / 0.35)
                    Do While Rig <= e.MarginBounds.Right
                        RightLine = Rig
                        Rig += (PrintScale / 0.35)
                    Loop

                    'マスを描画する下端の位置の判定
                    Dim Bot As Single
                    Bot = TopHeight + (PrintScale / 0.35)
                    Do While Bot <= e.MarginBounds.Bottom
                        BottomLine = Bot
                        Bot += (PrintScale / 0.35)
                    Loop
                End If


                If PrintType >= 10 And PrintType <= 19 Then
                    '種類が方眼紙の場合
                    '縦線を右端まで描画しまくる
                    Dim H As Single
                    H = e.MarginBounds.Left + (PrintScale / 0.35)
                    Do While H < RightLine
                        e.Graphics.DrawLine(P1, H, TopHeight, H, BottomLine)
                        H += (PrintScale / 0.35)
                    Loop
                End If

                '横線を下端まで描画しまくる
                Dim i As Single
                i = TopHeight + (PrintScale / 0.35)
                Do While i < BottomLine
                    e.Graphics.DrawLine(P1, e.MarginBounds.Left, i, RightLine, i)
                    i += (PrintScale / 0.35)
                Loop

                If 外枠の線を消すToolStripMenuItem.Checked = False Then
                    '外枠の描画
                    LinePoints = {New PointF(e.MarginBounds.Left, TopHeight), _
                                             New PointF(RightLine, TopHeight), _
                                             New PointF(RightLine, BottomLine), _
                                             New PointF(e.MarginBounds.Left, BottomLine), _
                                             New PointF(e.MarginBounds.Left, TopHeight - (PenWidth / 2))}
                    e.Graphics.DrawLines(P1, LinePoints)
                End If

            End If

            'ページ判定
            If CurrentPage >= PrintPages Then
                '現在のページが印刷するページ数以上ならもうヤメ
                e.HasMorePages = False
                CurrentPage = 0
            Else
                'まだなら続ける
                e.HasMorePages = True
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("PrintPage:" & ex.Message)
        End Try
    End Sub

    'ページ設定（メニュー）
    Private Sub ページ設定ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ページ設定ToolStripMenuItem.Click
        Try
            'ページ設定ダイアログの表示
            If PageSetupDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                'プレビューの更新
                PrintPreviewControl1.InvalidatePreview()
                PrintPreviewControl1.Rows = PrintPages
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("PageSetting:" & ex.Message)
        End Try
    End Sub

    'ページ設定（ボタン）
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Try
            'ページ設定ダイアログの表示
            If PageSetupDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                'プレビューの更新
                PrintPreviewControl1.InvalidatePreview()
                PrintPreviewControl1.Rows = PrintPages
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("PageSetting:" & ex.Message)
        End Try
    End Sub

    '線の色の変更（ボタン）
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Try
            'カラーダイアログの表示
            If ColorDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                'ペンの色に反映
                PenColor = ColorDialog1.Color
                '現在の色パネルに反映
                Panel1.BackColor = ColorDialog1.Color
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("ColorDialog:" & ex.Message)
        End Try
    End Sub

    '種類リストの選択値が変わった時
    Private Sub ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox1.SelectedIndexChanged
        Try
            Select Case ListBox1.SelectedItem
                Case "3mm方眼紙"
                    PrintType = PrintTypeENum.方眼紙3mm
                    PrintScale = 3
                Case "5mm方眼紙"
                    PrintType = PrintTypeENum.方眼紙5mm
                    PrintScale = 5
                Case "1cm方眼紙"
                    PrintType = PrintTypeENum.方眼紙10mm
                    PrintScale = 10
                Case "1.5cm方眼紙"
                    PrintType = PrintTypeENum.方眼紙15mm
                    PrintScale = 15
                Case "3mmレポート用紙"
                    PrintType = PrintTypeENum.レポート用紙3mm
                    PrintScale = 3
                Case "5mmレポート用紙"
                    PrintType = PrintTypeENum.レポート用紙5mm
                    PrintScale = 5
                Case "1cmレポート用紙"
                    PrintType = PrintTypeENum.レポート用紙10mm
                    PrintScale = 10
                Case "1.5cmレポート用紙"
                    PrintType = PrintTypeENum.レポート用紙15mm
                    PrintScale = 15
                Case "五線譜"
                    PrintType = PrintTypeENum.五線譜
                Case "400字原稿用紙"
                    PrintType = PrintTypeENum.原稿用紙400字
                    '原稿用紙の設定ウィンドウに反映
                    Dim UserCont3 As UserControl3 = SplitContainer1.Panel2.Controls("UserControl3")
                    UserCont3.NumUpDown_Gyo.Value = 20
                    GenkoGyo = 20
                    UserCont3.NumUpDown_Retsu.Value = 20
                    GenkoRetsu = 20
                Case "200字原稿用紙"
                    PrintType = PrintTypeENum.原稿用紙200字
                    '原稿用紙の設定ウィンドウに反映
                    Dim UserCont3 As UserControl3 = SplitContainer1.Panel2.Controls("UserControl3")
                    If PrintVectol = PrintVectolENum.横 Then
                        UserCont3.NumUpDown_Gyo.Value = 10
                        GenkoGyo = 10
                        UserCont3.NumUpDown_Retsu.Value = 20
                        GenkoRetsu = 20
                    Else
                        UserCont3.NumUpDown_Gyo.Value = 20
                        GenkoGyo = 20
                        UserCont3.NumUpDown_Retsu.Value = 10
                        GenkoRetsu = 10
                    End If
            End Select

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("ListIndexChange:" & ex.Message)
        End Try
    End Sub

    '印刷ボタンのクリック
    Private Sub Pic_PrintOut_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Pic_PrintOut.Click
        Try
            'プリントダイアログの表示
            If PrintDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                PrintDocument1.Print()
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("PrintOut:" & ex.Message)
        End Try
    End Sub

    '終了（メニュー）
    Private Sub 終了ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 終了ToolStripMenuItem.Click
        Me.Close()
    End Sub

    '印刷（メニュー）
    Private Sub 印刷ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 印刷ToolStripMenuItem.Click
        Try
            '印刷ダイアログの表示
            If PrintDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                PrintDocument1.Print()
            End If
        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("PrintOut:" & ex.Message)
        End Try
    End Sub

    'ツールウィンドウ（メニュー）
    Private Sub ツールバーToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ツールバーToolStripMenuItem.Click
        Try
            Me.SplitContainer1.Panel2.Controls("UserControl1").Visible = ツールバーToolStripMenuItem.Checked
        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("ToolBoxShow:" & ex.Message)
        End Try
    End Sub

    'タイトルのフォントサイズの変更
    Private Sub NumUpDown_TitleSize_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumUpDown_TitleSize.ValueChanged
        Try
            TitleSize = NumUpDown_TitleSize.Value
            Label_TitlePreview.Font = New Font(TitleFontName, NumUpDown_TitleSize.Value)
        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("NumTitleSizeChange:" & ex.Message)
        End Try
    End Sub

    'タイトル書式（メニュー）
    Private Sub タイトル書式ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles タイトル書式ToolStripMenuItem.Click
        Try
            'フォントダイアログの表示
            If FontDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                '設定反映
                TitleFontName = FontDialog1.Font.Name
                TitleSize = FontDialog1.Font.Size
                NumUpDown_TitleSize.Value = FontDialog1.Font.Size
                Label_TitlePreview.Font = FontDialog1.Font
                Label_TitlePreview.ForeColor = FontDialog1.Color
                TitleColor = FontDialog1.Color
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("TitleFont:" & ex.Message)
        End Try
    End Sub

    'タイトル書式2（メニュー）
    Private Sub タイトル書式ToolStripMenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles タイトル書式ToolStripMenuItem1.Click
        Try
            'フォントダイアログの表示
            If FontDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                '設定反映
                TitleFontName = FontDialog1.Font.Name
                TitleSize = FontDialog1.Font.Size
                NumUpDown_TitleSize.Value = FontDialog1.Font.Size
                Label_TitlePreview.Font = FontDialog1.Font
                Label_TitlePreview.ForeColor = FontDialog1.Color
                TitleColor = FontDialog1.Color
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("TitleFont:" & ex.Message)
        End Try
    End Sub

    'バージョン情報（メニュー）
    Private Sub バージョン情報ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles バージョン情報ToolStripMenuItem.Click
        'スプラッシュウィンドウを表示
        Dim SpForm As New SplashScreen1
        SpForm.Owner = Me
        SpForm.Show()
        'メッセージボックスで表示する場合は以下
        'MessageBox.Show(Application.ProductName & vbNewLine & "Ver " & Application.ProductVersion & vbNewLine & _
        '                "製作者：" & Application.CompanyName & vbNewLine & "メール：yu.isa45.2@gmail.com", _
        '                Application.ProductName & "  Ver " & Application.ProductVersion, _
        '                MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, _
        '                MessageBoxOptions.DefaultDesktopOnly, False)
    End Sub

    '作者ホームページ（メニュー）
    Private Sub 作者HPToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 作者HPToolStripMenuItem.Click
        System.Diagnostics.Process.Start("http://yu29.hide-yoshi.net/")
    End Sub

    '用紙新規作成（メニュー）※未実装
    Private Sub 用紙新規作成ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 用紙新規作成ToolStripMenuItem.Click
        '用紙種類を自由に足せるように作ったものですが、未完成です。
        '気力のある方は完成させてみてください。
        '（イメージとしては、ファイルとして書き出して、起動時にリストボックスにAddする感じでした。）
        Dim CustomD As New CustomDialog
        CustomD.Owner = Me
        If CustomD.ShowDialog() <> Windows.Forms.DialogResult.Cancel Then
            '用紙種類のリストボックス更新

        End If
    End Sub

    'タイトルフォント変更（メニュー）
    Private Sub タイトルフォント変更ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles タイトルフォント変更ToolStripMenuItem.Click
        Try
            If FontDialog1.ShowDialog <> Windows.Forms.DialogResult.Cancel Then
                TitleFontName = FontDialog1.Font.Name
                TitleSize = FontDialog1.Font.Size
                NumUpDown_TitleSize.Value = FontDialog1.Font.Size
                Label_TitlePreview.Font = FontDialog1.Font
                Label_TitlePreview.ForeColor = FontDialog1.Color
                TitleColor = FontDialog1.Color
            End If

        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("TitleFont:" & ex.Message)
        End Try
    End Sub

    'Form1サイズ変更時
    Private Sub Form1_SizeChanged()
        'ツールウィンドウの位置を右寄せにする
        Dim ToolWindow As UserControl1 = SplitContainer1.Panel2.Controls("UserControl1")
        ToolWindow.Location = New Point(SplitContainer1.Panel2.Width - 173, 10)
    End Sub

    '線設定ウィンドウ（メニュー）
    Private Sub 線設定ウィンドウToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 線設定ウィンドウToolStripMenuItem.Click
        Try
            '線設定ウィンドウの表示・非表示の切り替え
            Me.SplitContainer1.Panel2.Controls("UserControl2").Visible = 線設定ウィンドウToolStripMenuItem.Checked
        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("ToolBoxShow:" & ex.Message)
        End Try
    End Sub

    '原稿設定ウィンドウ（メニュー）
    Private Sub 原稿設定ウィンドウToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 原稿設定ウィンドウToolStripMenuItem.Click
        Try
            '原稿設定ウィンドウの表示・非表示の切り替え
            Me.SplitContainer1.Panel2.Controls("UserControl3").Visible = 原稿設定ウィンドウToolStripMenuItem.Checked
        Catch ex As Exception
            MessageBox.Show("エラーが発生しました。" & vbNewLine & "Log.txtを添付して製作者にメールしてください。", _
                            Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error, _
                            MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly)
            WriteLog("ToolBoxShow:" & ex.Message)
        End Try
    End Sub

End Class
